JUPYTER-TRUST(1)

NAME
jupyter-trust - Sign one or more Jupyter notebooks with your key, to trust their dynamic (HTML, Javascript) output

DESCRIPTION

When unsigned, you have to re-execute the notebook to see output.

OPTIONS

Arguments that take values are actually convenience aliases to full Configurables, whose aliases are listed on the help line. For more information on full configurables, see '--help-all'.

--reset

    Delete the trusted notebook cache. All previously signed notebooks will become untrusted.

--debug

    set log level to logging.DEBUG (maximize logging output)

-y

    Answer yes to any questions instead of prompting.

--generate-config

    generate default config file

--config=<Unicode> (JupyterApp.config_file)

    Default: u'' Full path of a config file.

--log-level=<Enum> (Application.log_level)

    Default: 30 Choices: (0, 10, 20, 30, 40, 50, 'DEBUG', 'INFO', 'WARN', 'ERROR', 'CRITICAL') Set the log level by value or name.

To see all available configurables, use `--help-all`

EXAMPLES

    jupyter trust mynotebook.ipynb and_this_one.ipynb